## libqoauth 1.0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: libqoauth.so.1.0.1
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Oct 4 17:42:35 2010
# Project:  libqoauth.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile libqoauth.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQOAUTH -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCrypto -Itmp
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared -Wl,-soname,libqoauth.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lqca -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = interface.cpp 
OBJECTS       = tmp/interface.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		libqoauth.pro
QMAKE_TARGET  = qoauth
DESTDIR       = 
TARGET        = libqoauth.so.1.0.1
TARGETA       = libqoauth.a
TARGETD       = libqoauth.so.1.0.1
TARGET0       = libqoauth.so
TARGET1       = libqoauth.so.1
TARGET2       = libqoauth.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile libqoauth.prl  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

libqoauth.prl: 
	@$(QMAKE) -prl  -unix libqoauth.pro
Makefile: libqoauth.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libqca.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile libqoauth.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libqca.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile libqoauth.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/qoauth1.0.1 || $(MKDIR) tmp/qoauth1.0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/qoauth1.0.1/ && $(COPY_FILE) --parents qoauth_global.h qoauth_namespace.h interface.h interface_p.h tmp/qoauth1.0.1/ && $(COPY_FILE) --parents interface.cpp tmp/qoauth1.0.1/ && (cd `dirname tmp/qoauth1.0.1` && $(TAR) qoauth1.0.1.tar qoauth1.0.1 && $(COMPRESS) qoauth1.0.1.tar) && $(MOVE) `dirname tmp/qoauth1.0.1`/qoauth1.0.1.tar.gz . && $(DEL_FILE) -r tmp/qoauth1.0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_interface.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_interface.cpp
tmp/moc_interface.cpp: qoauth_global.h \
		qoauth_namespace.h \
		interface.h
	/usr/bin/moc $(DEFINES) $(INCPATH) interface.h -o tmp/moc_interface.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

tmp/interface.o: interface.cpp interface.h \
		qoauth_global.h \
		qoauth_namespace.h \
		interface_p.h \
		tmp/moc_interface.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/interface.o interface.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib || $(MKDIR) $(INSTALL_ROOT)/usr/lib 
	-$(INSTALL_FILE) "libqoauth.prl" "$(INSTALL_ROOT)/usr/lib/libqoauth.prl"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/libqoauth.prl"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/ 


install_headers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/QtOAuth/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/QtOAuth/ 
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/qoauth_global.h $(INSTALL_ROOT)/usr/include/QtOAuth/
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/qoauth_namespace.h $(INSTALL_ROOT)/usr/include/QtOAuth/
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/interface.h $(INSTALL_ROOT)/usr/include/QtOAuth/
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/include/QtOAuth $(INSTALL_ROOT)/usr/include/QtOAuth/


uninstall_headers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/QtOAuth/qoauth_global.h 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/QtOAuth/qoauth_namespace.h 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/QtOAuth/interface.h 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/QtOAuth/QtOAuth
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/QtOAuth/ 


install_pkgconfig: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/pkgconfig/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/qoauth.pc $(INSTALL_ROOT)/usr/lib/pkgconfig/


uninstall_pkgconfig:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/pkgconfig/qoauth.pc
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 


install_features: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
	-$(INSTALL_FILE) /home/mikhail/qoauth-1.0.1/oauth.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/


uninstall_features:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/oauth.prf
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/

=== debian/changelog ===
libqoauth (1.0.1-1) unstable; urgency=low

  * Initial release 

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon,  4 Oct 2010 17:01:20 -0400

=== debian/control ===
Source: libqoauth
Section: libs
Priority: optional
Homepage: http://wiki.github.com/ayoy/qoauth/
Maintainer: Mikhail Ramalho <mikhail.ramalho@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqca2-dev, libssl-dev, libqca2-plugin-ossl
Standards-Version: 3.7.2
Origin: Maintainer

Package: libqoauth
Architecture: armel
Depends: libqca2, libqca2-plugin-ossl
Description: Qt-based client implementation of the OAuth authorization scheme
 QOAuth is a Qt-based C++ implementation of an interface to services
 using the OAuth authorization scheme.
 .
 OAuth is described in detail at http://oauth.net/
 .
 This package contains the headers required for building programs that
 use QOauth.

## libqoauth 1.0.1-2

=== debian/changelog ===
libqoauth (1.0.1-2) unstable; urgency=low

  * Fixed copyright and removed some garbage from the source code.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Tue,  5 Oct 2010 09:33:41 -0400

## libqoauth 1.0.1-3

=== debian/changelog ===
libqoauth (1.0.1-3) unstable; urgency=low

  * Repackaged for PR1.3

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Tue, 26 Oct 2010 15:09:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: libqoauth
 Architecture: armel
-Depends: libqca2, libqca2-plugin-ossl
+Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services
  using the OAuth authorization scheme.

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := libqoauth
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4  PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libqoauth 1.0.1-4

=== debian/changelog ===
libqoauth (1.0.1-4) unstable; urgency=low

  * Created -dev package.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  5 Nov 2010 19:10:29 -0400

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,15 @@
  .
  This package contains the headers required for building programs that
  use QOauth.
+
+Package: libqoauth-dev
+Architecture: armel
+Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0), libqoauth (>= 1.0.1)
+Description: Qt-based client implementation of the OAuth authorization scheme
+ QOAuth is a Qt-based C++ implementation of an interface to services
+ using the OAuth authorization scheme.
+ .
+ OAuth is described in detail at http://oauth.net/
+ .
+ This package contains the headers required for building programs that
+ use QOauth.

## libqoauth 1.0.1-5

=== debian/changelog ===
libqoauth (1.0.1-5) unstable; urgency=low

  * Added support for i386.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  5 Nov 2010 21:41:40 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Origin: Maintainer
 
 Package: libqoauth
-Architecture: armel
+Architecture: any
 Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services
@@ -20,7 +20,7 @@
  use QOauth.
 
 Package: libqoauth-dev
-Architecture: armel
+Architecture: any
 Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0), libqoauth (>= 1.0.1)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
-APPNAME := libqoauth
 builddir:
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake-qt4  PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4  PREFIX=/usr ../libqoauth.pro
 
 build: build-stamp
 
@@ -29,7 +28,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/your_appname
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -42,10 +41,12 @@
 	dh_installchangelogs
 	dh_installexamples
 	dh_installman
+	dh_install --sourcedir=$(CURDIR)/debian/tmp --autodest
 	dh_link
 	dh_strip 
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
